Gecode::MiniModel::TransitionBag Class Reference

For collecting transitions while constructing a DFA. More...

## Public Member Functions

| TransitionBag (void)
void | add (int, int, int)
void | finish (void)
DFA::Transition * | transitions (void)

## Detailed Description

For collecting transitions while constructing a DFA.

Definition at line 760 of file reg.cpp.

## Constructor & Destructor Documentation

## TransitionBag()

Gecode::MiniModel::TransitionBag::TransitionBag | ( | void |  | ) |

inline

Definition at line 772 of file reg.cpp.

## Member Function Documentation

## add()

void Gecode::MiniModel::TransitionBag::add | ( | int | i_state,
|  | int | symbol,
|  | int | o_state )

inline

Definition at line 775 of file reg.cpp.

## finish()

void Gecode::MiniModel::TransitionBag::finish | ( | void |  | ) |

inline

Definition at line 783 of file reg.cpp.

## transitions()

DFA::Transition * Gecode::MiniModel::TransitionBag::transitions | ( | void |  | ) |

inline

Definition at line 788 of file reg.cpp.

The documentation for this class was generated from the following file:

- gecode/minimodel/reg.cpp